<?php get_header( 'inside' ); ?>

    <div id="insideheader">
        <div class="container">
            <h1><?php
                if ( is_category() ) :
                    single_cat_title();

                elseif ( is_tag() ) :
                    single_tag_title();

                elseif ( is_author() ) :
                    /* Queue the first post, that way we know
                     * what author we're dealing with (if that is the case).
                    */
                    the_post();
                    printf( __( 'Автор: %s', 'cleanport' ), '<span class="vcard">' . get_the_author() . '</span>' );
                    /* Since we called the_post() above, we need to
                     * rewind the loop back to the beginning that way
                     * we can run the loop properly, in full.
                     */
                    rewind_posts();

                elseif ( is_day() ) :
                    printf( __( 'День: %s', 'cleanport' ), '<span>' . get_the_date() . '</span>' );

                elseif ( is_month() ) :
                    printf( __( 'Месяц: %s', 'cleanport' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );

                elseif ( is_year() ) :
                    printf( __( 'Год: %s', 'cleanport' ), '<span>' . get_the_date( 'Y' ) . '</span>' );

                elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
                    _e( 'Отступления', 'cleanport' );

                elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
                    _e( 'Изображения', 'cleanport' );

                elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
                    _e( 'Видео', 'cleanport' );

                elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
                    _e( 'Цитаты', 'cleanport' );

                elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
                    _e( 'Ссылки', 'cleanport' );

                else :
                    _e( 'Архивы', 'cleanport' );

                endif;
                ?></h1>
        </div>
    </div>

<div id="main">

    <div id="content">

        <div class="post">

            <?php while ( have_posts() ) : the_post() ?>


                <div id="post-<?php the_ID(); ?>" class="blogitem">
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'blog-full', array( 'class' => 'blogthumb' ) ); ?></a>

                    <h2 class="posttitle"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

                    <p class="postmeta"><?php _e( 'Опубликовал', 'themefurnace' ) ?> <a class="url fn n"
                                                                                      href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a>, <?php _e( 'Дата:', 'themefurnace' ) ?> <?php the_time( 'F j, Y' ) ?>
                        , <?php _e( 'В рубрике:', 'themefurnace' ) ?> <?php the_category( ', ' ) ?></p>
                    <?php the_content(); ?>
                </div>
            <?php endwhile; ?>

            <div class="navigation"><?php themefurnace_pagination(); ?></div>

        </div>
    </div>
<?php get_sidebar( 'Blog Sidebar' ); ?>
<?php get_footer(); ?>