<?php
// Theme Specific Settings

function themefurnace_load_theme_fonts()
{
	$heading = get_theme_mod( 'google_fonts_heading_font' );
	$body = get_theme_mod( 'google_fonts_body_font' );
	if ( ( !empty( $heading ) && $heading != 'none' ) || ( !empty( $body ) && $body != 'none' ) ) {
		echo '<style type="text/css">';
		$imports = array();
		$styles = array();
		if ( !empty( $heading ) && $heading != 'none' ) {
			$imports[] = '@import url(//fonts.googleapis.com/css?family=' . urlencode( $heading ) . ');';
			$styles[] = 'h1, h2, h3, h4, h5, h6 { font-family: "' . esc_html( $heading ) . '" !important }';
		}
		if ( !empty( $body ) && $body != 'none' ) {
			$imports[] = '@import url(//fonts.googleapis.com/css?family=' . urlencode( $body ) . ');';
			$styles[] = 'body { font-family: "' . esc_html( $body ) . '" !important }';
		}

		echo implode( "\r\n", $imports );
		echo implode( "\r\n", $styles );
		echo '</style>';

	}
}

add_action( 'wp_head', 'themefurnace_load_theme_fonts' );
// load colors
function themefurnace_load_theme_colors()
{
	$backgroundColor = get_theme_mod( 'background_color', '#F9F9F9' );
	$contentColor = get_theme_mod( 'content_color', '#fff;' );
	$accentColor = get_theme_mod( 'accent_color', '#007EFF;' );
	$textColor = get_theme_mod( 'text_color', '#999999;' );
	$headingsColor = get_theme_mod( 'headings_color', '#39373C;' );
	$linkColor = get_theme_mod( 'link_color', '#007EFF;' );

	$headerColor = get_theme_mod( 'header_color', '#39373C;' );
	$footerColor = get_theme_mod( 'footer_color', '#333136;' );
	$sliderColor = get_theme_mod( 'slider_color', '#39373C;' );

	echo '<style type="text/css">';

	if ( !empty( $backgroundColor ) ) {
		$hash = '';
		if ( strpos( $backgroundColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '#homewidgets, body, #testimonials,  { background-color: ' . $hash . esc_html( $backgroundColor ) . '}';
	}

	if ( !empty( $linkColor ) ) {
		$hash = '';
		if ( strpos( $linkColor, '#' ) === false ) {
			$hash = '#';
		}
		echo ' a { color: ' . $hash . esc_html( $linkColor ) . '}';
	}

	if ( !empty( $contentColor ) ) {
		$hash = '';
		if ( strpos( $contentColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '#main, #bloghome, #comments, .bloghomeheading span { background-color: ' . $hash . esc_html( $contentColor ) . '}';
	}

	if ( !empty( $accentColor ) ) {
		$hash = '';
		if ( strpos( $accentColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '.portfolioarchive .fa, .sidetitle i{ color: ' . $hash . esc_html( $accentColor ) . '}';
		echo '#features, .featureiconsmall, .footerwidget li a:hover, .sidebarwidget li a:hover, .pagination a:hover, #main-nav li a:hover, .comment-reply-link, .tagcloud a, a.button, .button, button, html input[type="button"], input[type="reset"], input[type="submit"]{ background-color: ' . $hash . esc_html( $accentColor ) . '}';
	}

	if ( !empty( $textColor ) ) {
		$hash = '';
		if ( strpos( $textColor, '#' ) === false ) {
			$hash = '#';
		}
		echo 'body, button, input, select, textarea { color: ' . $hash . esc_html( $textColor ) . '}';
	}

	if ( !empty( $headingsColor ) ) {
		$hash = '';
		if ( strpos( $headingsColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '.testimonials blockquote, blockquote, h1, h2, h3, h4, h5, h6 { color: ' . $hash . esc_html( $headingsColor ) . '}';
	}


	if ( !empty( $headerColor ) ) {
		$hash = '';
		if ( strpos( $headerColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '#header { background-color: ' . $hash . esc_html( $headerColor ) . '}';
	}


	if ( !empty( $footerColor ) ) {
		$hash = '';
		if ( strpos( $footerColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '#footerwidgets { background-color: ' . $hash . esc_html( $footerColor ) . '}';
	}


	if ( !empty( $sliderColor ) ) {
		$hash = '';
		if ( strpos( $sliderColor, '#' ) === false ) {
			$hash = '#';
		}
		echo '#slider, #insideheader { background-color: ' . $hash . esc_html( $sliderColor ) . '}';
	}

	echo '</style>';


	$body = get_theme_mod( 'google_fonts_body_font' );
	if ( !empty( $heading ) && $heading != 'none' && !empty( $body ) && $body != 'none' ) {
		echo '<style type="text/css">';
		$imports = array();
		$styles = array();
		if ( !empty( $heading ) && $heading != 'none' ) {
			$imports[] = '@import url(//fonts.googleapis.com/css?family=' . urlencode( $heading ) . ');';
			$styles[] = 'h1, h2, h3, h4, h5, h6 { font-family: "' . esc_html( $heading ) . '" !important }';
		}
		if ( !empty( $body ) && $body != 'none' ) {
			$imports[] = '@import url(//fonts.googleapis.com/css?family=' . urlencode( $body ) . ');';
			$styles[] = 'body { font-family: "' . esc_html( $body ) . '" !important }';
		}

		echo implode( "\r\n", $imports );
		echo implode( "\r\n", $styles );
		echo '</style>';

	}
}

add_action( 'wp_head', 'themefurnace_load_theme_colors' );